Author: dnusinow
Date: 2005-06-04 09:10:37 -0500 (Sat, 04 Jun 2005)
New Revision: 136

Removed:
   trunk/debian/rules.prototype
Modified:
   trunk/debian/changelog
Log:
Remove rules.prototype. This will likely be used later for re-packaging the 
monolithic tree.

Modified: trunk/debian/changelog
===================================================================
--- trunk/debian/changelog      2005-05-20 04:59:21 UTC (rev 135)
+++ trunk/debian/changelog      2005-06-04 14:10:37 UTC (rev 136)
@@ -74,7 +74,6 @@
       - Re-added Xreset script in local/xdm
 
     - Branding edit and merges to debian/rules
-      - Moving old rules to rules.prototype for the future.
 
     - Patch Audit
       - Deleted 0000_backport_from_upstream.diff (obsolete)

Deleted: trunk/debian/rules.prototype
===================================================================
--- trunk/debian/rules.prototype        2005-05-20 04:59:21 UTC (rev 135)
+++ trunk/debian/rules.prototype        2005-06-04 14:10:37 UTC (rev 136)
@@ -1,194 +0,0 @@
-#!/usr/bin/make -f
-
-# $Id$
-
-# Determine (source) package name from Debian changelog.
-SOURCE_NAME:=$(shell dpkg-parsechangelog -ldebian/changelog \
-                        | grep '^Source:' | awk '{print $$2}')
-# Determine package version from Debian changelog.
-SOURCE_VERSION:=$(shell dpkg-parsechangelog -ldebian/changelog \
-                        | grep '^Version:' | awk '{print $$2}')
-# Determine upstream version number.
-UPSTREAM_VERSION:=$(shell echo $(SOURCE_VERSION) | sed 's/-.*//')
-
-build: stamp-build
-
-stamp-build:
-       $(MAKE) -C xc World
-
-# If the tree cannot be cleaned and no source package is available:
-#   1) remove the xc directory with rm -rf
-#   2) restore it by svn exporting it from the repository, e.g.
-#      $ svn export svn://necrotic.deadbeast.net/xorg-x11/trunk/xc
-clean:
-       if [ -f xc/xmakefile ]; then \
-           $(MAKE) -C xc distclean; \
-       fi
-       rm -f stamp-build
-
-# This rule removes stuff from the upstream source tree that we don't need, or
-# which has licensing problems.  It must be run before creating the
-# .orig.tar.gz.
-prune-upstream-tree:
-       # Ensure we're in the correct directory.
-       test -d xc
-       # Remove copies of stuff that is separately packaged in Debian.
-       rm -rf xc/extras/expat
-       rm -rf xc/extras/fontconfig
-       rm -rf xc/extras/fonts/Bitstream-Vera
-       rm -f xc/fonts/scaled/TTF/COPYRIGHT.Vera
-       rm -rf xc/extras/freetype2
-       rm -rf xc/extras/zlib
-       rm -f xc/include/extensions/render.h
-       rm -f xc/include/extensions/renderproto.h
-       rm -rf xc/lib/Xcursor
-       rm -rf xc/lib/Xft
-       rm -rf xc/lib/Xrender
-       # XXX: not yet sure which bits of the Xprint server can be chopped out
-       # rm -rf xc/programs/Xserver/Xprint
-       # XXX: xterm not yet separately packaged
-       # rm -rf xc/programs/xterm
-       # Remove stuff that is under a non-free license; see debian/copyright
-       # for details.
-       # TODO: Document non-freeness of rman (PolyglotMan) in debian/copyright.
-       rm -rf xc/extras/rman
-       rm -f xc/fonts/scaled/Meltho/README
-       rm -f xc/fonts/scaled/Meltho/SyrCOMAdiabene.otf
-       rm -f xc/fonts/scaled/Meltho/SyrCOMAntioch.otf
-       rm -f xc/fonts/scaled/Meltho/SyrCOMBatnan.otf
-       rm -f xc/fonts/scaled/Meltho/SyrCOMBatnanBold.otf
-       rm -f xc/fonts/scaled/Meltho/SyrCOMCtesiphon.otf
-       rm -f xc/fonts/scaled/Meltho/SyrCOMEdessa.otf
-       rm -f xc/fonts/scaled/Meltho/SyrCOMJerusalem.otf
-       rm -f xc/fonts/scaled/Meltho/SyrCOMJerusalemBold.otf
-       rm -f xc/fonts/scaled/Meltho/SyrCOMJerusalemItalic.otf
-       rm -f xc/fonts/scaled/Meltho/SyrCOMJerusalemOutline.otf
-       rm -f xc/fonts/scaled/Meltho/SyrCOMKharput.otf
-       rm -f xc/fonts/scaled/Meltho/SyrCOMMalankara.otf
-       rm -f xc/fonts/scaled/Meltho/SyrCOMMardin.otf
-       rm -f xc/fonts/scaled/Meltho/SyrCOMMardinBold.otf
-       rm -f xc/fonts/scaled/Meltho/SyrCOMMidyat.otf
-       rm -f xc/fonts/scaled/Meltho/SyrCOMNisibin.otf
-       rm -f xc/fonts/scaled/Meltho/SyrCOMNisibinOutline.otf
-       rm -f xc/fonts/scaled/Meltho/SyrCOMQenNeshrin.otf
-       rm -f xc/fonts/scaled/Meltho/SyrCOMTalada.otf
-       rm -f xc/fonts/scaled/Meltho/SyrCOMTurAbdin.otf
-       rm -f xc/fonts/scaled/Meltho/SyrCOMUrhoy.otf
-       rm -f xc/fonts/scaled/Meltho/SyrCOMUrhoyBold.otf
-       rm -f xc/fonts/scaled/Meltho/license.txt
-       rm -f xc/fonts/scaled/TTF/COPYRIGHT.BH
-       rm -f xc/fonts/scaled/TTF/luximb.ttf
-       rm -f xc/fonts/scaled/TTF/luximbi.ttf
-       rm -f xc/fonts/scaled/TTF/luximr.ttf
-       rm -f xc/fonts/scaled/TTF/luximri.ttf
-       rm -f xc/fonts/scaled/TTF/luxirb.ttf
-       rm -f xc/fonts/scaled/TTF/luxirbi.ttf
-       rm -f xc/fonts/scaled/TTF/luxirr.ttf
-       rm -f xc/fonts/scaled/TTF/luxirri.ttf
-       rm -f xc/fonts/scaled/TTF/luxisb.ttf
-       rm -f xc/fonts/scaled/TTF/luxisbi.ttf
-       rm -f xc/fonts/scaled/TTF/luxisr.ttf
-       rm -f xc/fonts/scaled/TTF/luxisri.ttf
-       rm -f xc/fonts/scaled/Type1/COPYRIGHT.IBM
-       rm -f xc/fonts/scaled/Type1/cour.afm
-       rm -f xc/fonts/scaled/Type1/cour.pfa
-       rm -f xc/fonts/scaled/Type1/courb.afm
-       rm -f xc/fonts/scaled/Type1/courb.pfa
-       rm -f xc/fonts/scaled/Type1/courbi.afm
-       rm -f xc/fonts/scaled/Type1/courbi.pfa
-       rm -f xc/fonts/scaled/Type1/couri.afm
-       rm -f xc/fonts/scaled/Type1/couri.pfa
-       rm -f xc/fonts/scaled/Type1/COPYRIGHT.BH
-       rm -f xc/fonts/scaled/Type1/l047013t.afm
-       rm -f xc/fonts/scaled/Type1/l047013t.pfa
-       rm -f xc/fonts/scaled/Type1/l047016t.afm
-       rm -f xc/fonts/scaled/Type1/l047016t.pfa
-       rm -f xc/fonts/scaled/Type1/l047033t.afm
-       rm -f xc/fonts/scaled/Type1/l047033t.pfa
-       rm -f xc/fonts/scaled/Type1/l047036t.afm
-       rm -f xc/fonts/scaled/Type1/l047036t.pfa
-       rm -f xc/fonts/scaled/Type1/l048013t.afm
-       rm -f xc/fonts/scaled/Type1/l048013t.pfa
-       rm -f xc/fonts/scaled/Type1/l048016t.afm
-       rm -f xc/fonts/scaled/Type1/l048016t.pfa
-       rm -f xc/fonts/scaled/Type1/l048033t.afm
-       rm -f xc/fonts/scaled/Type1/l048033t.pfa
-       rm -f xc/fonts/scaled/Type1/l048036t.afm
-       rm -f xc/fonts/scaled/Type1/l048036t.pfa
-       rm -f xc/fonts/scaled/Type1/l049013t.afm
-       rm -f xc/fonts/scaled/Type1/l049013t.pfa
-       rm -f xc/fonts/scaled/Type1/l049016t.afm
-       rm -f xc/fonts/scaled/Type1/l049016t.pfa
-       rm -f xc/fonts/scaled/Type1/l049033t.afm
-       rm -f xc/fonts/scaled/Type1/l049033t.pfa
-       rm -f xc/fonts/scaled/Type1/l049036t.afm
-       rm -f xc/fonts/scaled/Type1/l049036t.pfa
-       rm -f xc/fonts/scaled/Type1/UTBI____.afm
-       rm -f xc/fonts/scaled/Type1/UTBI____.pfa
-       rm -f xc/fonts/scaled/Type1/UTB_____.afm
-       rm -f xc/fonts/scaled/Type1/UTB_____.pfa
-       rm -f xc/fonts/scaled/Type1/UTI_____.afm
-       rm -f xc/fonts/scaled/Type1/UTI_____.pfa
-       rm -f xc/fonts/scaled/Type1/UTRG____.afm
-       rm -f xc/fonts/scaled/Type1/UTRG____.pfa
-       rm -f xc/programs/Xserver/hw/xfree86/doc/README.DRI
-       rm -f xc/programs/Xserver/hw/xfree86/doc/README.DRIcomp
-       rm -f xc/programs/Xserver/hw/xfree86/drivers/mga/mga_ucode.h
-       rm -f xc/programs/Xserver/hw/xfree86/drivers/rendition/v10002d.uc
-       rm -f xc/programs/Xserver/hw/xfree86/drivers/rendition/v20002d.uc
-
-make-orig-tar-gz: prune-upstream-tree
-       # Change to what should be the correct directory, ensure it is, and if
-       # so, create the .orig.tar.gz file.
-       ( cd .. \
-         && test -d $(SOURCE_NAME)-$(UPSTREAM_VERSION) \
-         && tar --exclude=debian --exclude=debian/* -cf - 
$(SOURCE_NAME)-$(UPSTREAM_VERSION) | gzip -9 
>$(SOURCE_NAME)_$(UPSTREAM_VERSION).orig.tar.gz )
-
-# Apply all patches in debian/patches to the source tree.  This must be done
-# *BEFORE* creating the Debian source package, so that all patches are 
reflected
-# in the upstream part of the source tree when the .diff.gz file is generated.
-# This is in contrast to prior xfree86 packaging, in which patches were applied
-# at package build time.
-apply-patches:
-       @if [ "$$(echo debian/patches/*.diff)" != "debian/patches/*.diff" ]; 
then \
-           env LC_COLLATE=C ls -1 debian/patches/*.diff | while IFS="" read 
PATCH; do \
-               echo "Applying patch $$PATCH." >&2; \
-               if ! PATCH_OUTPUT=$$(patch --dry-run --fuzz=0 --strip=0 
<"$$PATCH"); then \
-                   echo "Patch $$PATCH will fail to apply." >&2; \
-                   exit 1; \
-               fi; \
-               if echo "$$PATCH_OUTPUT" | grep -Ei 'Hunk.*succeeded 
at.*(fuzz|offset)'; then \
-                   echo "Patch $$PATCH will fail to apply cleanly." >&2; \
-                   exit 1; \
-               fi; \
-               patch --fuzz=0 --strip=0 <"$$PATCH"; \
-           done; \
-           echo "Done applying patches." >&2; \
-       else \
-           echo "No patches to apply; debian/patches is empty." >&2; \
-       fi
-
-# Revert all patches in debian/patches from the source tree.
-revert-patches:
-       @if [ "$$(echo debian/patches/*.diff)" != "debian/patches/*.diff" ]; 
then \
-           env LC_COLLATE=C ls -1r debian/patches/*.diff | while IFS="" read 
PATCH; do \
-               echo "Reverting patch $$PATCH." >&2; \
-               if ! PATCH_OUTPUT=$$(patch --dry-run --reverse --fuzz=0 
--strip=0 <"$$PATCH"); then \
-                   echo "Patch $$PATCH will fail to revert." >&2; \
-                   exit 1; \
-               fi; \
-               if echo "$$PATCH_OUTPUT" | grep -Ei 'Hunk.*succeeded 
at.*(fuzz|offset)'; then \
-                   echo "Patch $$PATCH will fail to revert cleanly." >&2; \
-                   exit 1; \
-               fi; \
-               patch --reverse --fuzz=0 --strip=0 <"$$PATCH"; \
-           done; \
-           echo "Done reverting patches." >&2; \
-       else \
-           echo "No patches to revert; debian/patches is empty." >&2; \
-       fi
-
-.PHONY: apply-patches build clean make-orig-tar-gz prune-upstream-tree \
-        revert-patches
-
-# vim:set ai noet sts=8 sw=8 tw=0:


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]

Reply via email to